<mujoco>
  <option gravity=".0 .0 .0"/>
  <worldbody>
    <light diffuse=".2 .2 .2" pos="5 5 5" dir="-1 -1 -1"/>
    <geom type="plane" size="10 10 0.1" rgba=".9 0 0 1"/>

    <body pos="0 0 2">
      <joint type="free"/>
      <geom type="box" size=".5 .5 .5" rgba="0 .9 0 1" mass="5"/>
      <body pos=".5 .0 .6">
      	<joint name="pin1" type="hinge" axis="0 0 -1" pos="0 0 0"/>
        <geom type="cylinder" size=".5 .1" rgba="0 .9 0 1" mass="1"/>
      </body>
      <body pos="-.6 .0 .5" euler="0 90 0">
      	<joint name="pin2" type="hinge" axis="0 0 -1" pos="0 0 0"/>
        <geom type="cylinder" size=".5 .1" rgba="0 .9 0 1" mass="1"/>
      </body>
      <body pos="-.25 .0 -.6" euler="0 180 0">
      	<joint name="pin3" type="hinge" axis="0 0 -1" pos="0 0 0"/>
        <geom type="cylinder" size=".5 .1" rgba="0 .9 0 1" mass="1"/>
      </body>
      <body pos=".6 .0 -.25" euler="0 270 0">
      	<joint name="pin4" type="hinge" axis="0 0 -1" pos="0 0 0"/>
        <geom type="cylinder" size=".5 .1" rgba="0 .9 0 1" mass="1"/>
      </body>
    </body>
  </worldbody>

  <actuator>
    <motor name="my_motor1" joint="pin1" gear="1"/>
  </actuator>
  
  <actuator>
    <motor name="my_motor2" joint="pin2" gear="1"/>
  </actuator>

  <actuator>
    <motor name="my_motor3" joint="pin3" gear="1"/>
  </actuator>
  
  <actuator>
    <motor name="my_motor4" joint="pin4" gear="1"/>
  </actuator>

</mujoco>
